.box { /* this is a testing class to draw a box */
    /* flexbox stuff */
    display: flex;
    flex-shrink: 1;
    min-width: 100px;
    flex-grow: 0;
    gap: 20px;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: center; /* main axis */
    align-items: center; /* cross axis of rows */
    align-content: center; /* cross axis of everything */
    /* end */

    /* draw a blue box */
    height: 200px;
    width: 200px;
    background-color: #0071ff;
    font-size: 40px;
    /* end */
}

:root {
    --burnt-sienna: #DE6B48;
    --white-smoke: #EFF1ED;
    --night: #0A100D;
    --gold: #D1AC00;
    --fern-green: #556F44;
    --black-bean: #361910;
    --dim-gray: #736F72;
}

@font-face {
    font-family: "Ark Pixel";
    src: url("assets/fonts/ark-pixel-10px-monospaced-ja.ttf.woff2"),
    url("assets/fonts/ark-pixel-10px-monospaced-ko.ttf.woff2"),
    url("assets/fonts/ark-pixel-10px-monospaced-latin.ttf.woff2"),
    url("assets/fonts/ark-pixel-10px-monospaced-zh_cn.ttf.woff2"),
    url("assets/fonts/ark-pixel-10px-monospaced-zh_hk.ttf.woff2"),
    url("assets/fonts/ark-pixel-10px-monospaced-zh_tr.ttf.woff2"),
    url("assets/fonts/ark-pixel-10px-monospaced-zh_tw.ttf.woff2");
}
/* 
@media(max-width: 610px) {
    body {
        flex-wrap: wrap;
    }
} */

@keyframes verticalMarquee {
  0% {
    transform: translateY(0%); /* Start at the top */
  }
  100% {
    transform: translateY(-100%); /* Move up by 100% of its own height */
  }
}

@keyframes verticalMarqueeReversed {
  0% {
    transform: translateY(-100%); /* Start at the top */
  }
  100% {
    transform: translateY(0%); /* Move up by 100% of its own height */
  }
}

body {
    /* testing stuff */
    min-height: 768px;
    /* border: 8px solid black; */
    /* end */

    /* flexbox stuff */
    display: flex;
    gap: 0px;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: flex-start; /* main axis */
    align-items: left; /* cross axis of rows */
    align-content: left; /* cross axis of everything */
    /* end */

    /* global font */
    font-family: "Ark Pixel";
    font-size: 16px;
    font-weight: 100;
    color: var(--night);
    background-color: var(--white-smoke);
    /* end */

    padding-left: 25%;
    padding-right: 25%;
}

body b {
    color: var(--burnt-sienna)
}

header {
    display: flex;
    max-height: 144px;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: flex-start;
    align-items: space-evenly;
    align-content: space-evenly;
    gap:20px;
}

img {
    max-width: 256px;
    max-height: 256px;
}

nav {
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    align-content: center;

    padding: 10px 0px;
}

footer {
    padding: 10px
}

nav a {
    border-radius: 50px;
    padding: 10px 50px
}

nav a:link, a:visited {
    text-decoration: none;
    color: var(--night);
}

nav a:hover {
    background-color: var(--fern-green);
    color: var(--white-smoke);
    transition: 0.3s ease all;
}

nav a.active {
    border: 3px solid var(--fern-green);
    border-radius: 50px;
} 

textarea {
    flex: 1;
    resize: none
}

.row {
    /* testing stuff */
    min-height: 100px;
    /* border: 8px solid red; */
    /* end */

    /* flexbox stuff */
    display: flex;
    gap: 20px;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: flex-start; /* main axis */
    align-items: flex-start; /* cross axis of rows */
    align-content: center; /* cross axis of everything */
    /* end */

    padding-top: 20px;
}

.column {
    /* flexbox stuff */
    display: flex;
    flex-shrink: 1;
    min-width: 100px;
    flex-grow: 1;
    gap: 20px;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: flex-start; /* main axis */
    align-items: flex-start; /* cross axis of rows */
    align-content: flex-start; /* cross axis of everything */
    /* end */

    /* draw a blue box */
    /* border: 8px solid #0071ff; */
    padding: 20px;
    /* end */
}

.column-right {
    /* flexbox stuff */
    display: flex;
    flex-shrink: 1;
    flex-grow: 0;
    gap: 20px;
    flex-wrap: wrap;
    flex-direction: column;
    justify-content: flex-start; /* main axis */
    align-items: center; /* cross axis of rows */
    align-content: center; /* cross axis of everything */
    /* end */

    max-width: 25%;
    min-width: 25%;
}


.launchpad-row {
    /* flexbox stuff */
    display: flex;
    padding-top: 20px;
    gap: 20px;
    flex-wrap: nowrap;
    flex-direction: row;
    justify-content: center; /* main axis */
    align-items: center; /* cross axis of rows */
    align-content: center; /* cross axis of everything */
    /* end */
}

.launchpad-column{
    /* flexbox stuff */
    display: flex;
    flex-shrink: 1;
    min-width: 100px;
    flex-grow: 0;
    gap: 20px;
    flex-wrap: nowrap;
    flex-direction: column;
    justify-content: center; /* main axis */
    align-items: space-around; /* cross axis of rows */
    align-content: center; /* cross axis of everything */
    /* end */
}

.justify-end {
    justify-content: flex-end;
}

.intro-block {
    background-color: var(--fern-green);
    color: var(--white-smoke);
    border-radius: 25px;
    padding: 20px;
    flex-grow:1;
}

.intro-block h1{
    font-size: 2.5rem;
    font-weight: 700;
}

.intro-block p{
    font-size: 1.5rem;
    font-weight: 350;
}

.intro-block b {
    color: var(--gold);
    font-weight: 500;
}


.vertical-pocket-block-right {
    height: 100%;
    writing-mode: vertical-lr;
    position: absolute;
    top: 0;
    right: 1%;
    z-index: -1;
}

.vertical-pocket-block-left {
    height: 100%;
    writing-mode: vertical-rl;
    position: absolute;
    top: 0;
    left: 1%;
    z-index: -1;
}

.vertical-pocket-style {
    font-size: 5rem;
    overflow: hidden;
    color: var(--black-bean);
    opacity: 25%;
}

.left-pocket {
    margin-top: 2rem;
    top: 0
}

.right-pocket {
    margin-top: -16rem;
}

.scrolling-text {
    animation: verticalMarquee 20s linear infinite;
}

.scrolling-text-reversed {
    animation: verticalMarqueeReversed 20s linear infinite;
}

.post-box {
    color: var(--fern-green)
}

.post-title {
    color: var(--gold)
}

.shadowed {
    box-shadow: 10px 10px var(--black-bean);
}

.bordered {
    border-style: solid;
    border-color: var(--gold);
}

.bordered-green {
    border-color: var(--fern-green);
}

.rounded {
    border-radius: 25px;
}

.super-rounded {
    border-radius: 100px;
}

.locations h2 {
    font-size: 32px;
}

.locations p {
    font-size: 20px;
}

#c_widget {
    padding: 10px;
}

#c_submitButton {
    background-color: var(--dim-gray);
    border-radius: 20px;
    font-family: 'Ark Pixel';
    font-weight: 400;
    font-size: 16px;
    color: var(--white-smoke  );
}

#c_submitButton:hover{
    background-color: var(--white-smoke);
    color: var(--night);
}

#c_submitButton:disabled:hover {
    background-color: var(--burnt-sienna);
    cursor: not-allowed;
}
